LibreOffice LibreOffice 7.2 SDK API Reference

Variables
com::sun::star::logging::LogLevel Constant Group Reference

specifies levels to distinguish between severities of logged events More...

## Variables
const long | OFF = 0x7FFFFFFF
| specifies that no messages are to be logged at all More...
const long | SEVERE = 1000
| denotes a serious failure to be logged More...
const long | WARNING = 900
| denotes a potential problem to be logged More...
const long | INFO = 800
| denotes an informational message to be logged More...
const long | CONFIG = 700
| denotes a static configuration message to be logged More...
const long | FINE = 500
| denotes basic tracing information to be logged More...
const long | FINER = 400
| denotes more fine-grained tracing information to be logged More...
const long | FINEST = 300
| denotes highly detailed tracing information to be logged More...
const long | ALL = -0x80000000
| specifies that all messages should be logged More...

## Detailed Description

specifies levels to distinguish between severities of logged events

See also
  XLogger

Since
  OOo 2.3

## Variable Documentation

## ◆ ALL

const long ALL = -0x80000000

specifies that all messages should be logged

This level can be set at an XLogger to enable logging of absolutely all events. You will usually not use it with a concrete log event.

## ◆ CONFIG

const long CONFIG = 700

denotes a static configuration message to be logged

## ◆ FINE

const long FINE = 500

denotes basic tracing information to be logged

## ◆ FINER

const long FINER = 400

denotes more fine-grained tracing information to be logged

## ◆ FINEST

const long FINEST = 300

denotes highly detailed tracing information to be logged

## ◆ INFO

const long INFO = 800

denotes an informational message to be logged

## ◆ OFF

const long OFF = 0x7FFFFFFF

specifies that no messages are to be logged at all

This level can be set at an XLogger to completely prevent logging. You will usually not use it with a concrete log event.

## ◆ SEVERE

const long SEVERE = 1000

denotes a serious failure to be logged

## ◆ WARNING

const long WARNING = 900

denotes a potential problem to be logged